<script setup>
const accounts = useAccounts()
const partners = usePartners()
const sales = useSales()
const procurements = useProcurements()
const materials = useMaterials()
const manufacturings = useManufacturings()
const fulfillment = useFulfillment()
const bi = useBi()
const accountingMenu = useAccountingMenu()
const assets = useAssets()
const projects = useProjects()
// const analysis = useAnalysis()
// const integrations = useIntegrations()
const users = useUsers()
const requests = useRequests()
//const reports = useReports()
const settings = useSettings()

const menus = ref([
  {
    menu: true,
    text: 'Administrator',
    value: 'dashboard',
    link: '/',
    icon: 'menu-icon tf-icons ti ti-layout-dashboard',
    active: false,
    child: false,
    children: []
  },
  ...accounts.value,
  ...partners.value,
  ...sales.value,
  ...procurements.value,
  ...manufacturings.value,
  ...materials.value,
  ...fulfillment.value,
  ...bi.value,
  ...accountingMenu.value,
  ...assets.value,
  ...projects.value,
  // ...analysis.value,
  // ...integrations.value,
  {
    menu: true,
    text: 'Applications',
    value: 'integrations',
    link: '/integrations',
    icon: 'menu-icon tf-icons ti ti-plug',
    active: false,
    child: false,
    children: []
  },
  ...users.value,
  ...requests.value,
  //...reports.value,
  ...settings.value

])
</script>

<template>
  <BaseSideBar :menus="menus" />
</template>